Package fr.gouv.vitam.processing.common.parameter

# Interface WorkerParameters

All Superinterfaces:
  `VitamParameter<WorkerParameterName>`

All Known Implementing Classes:
  `DefaultWorkerParameters`

public interface WorkerParameters extends VitamParameter<WorkerParameterName>
Class use to manage parameters for and on worker

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContainerName()`
  Get container name parameter
  `String`
  `getCurrentStep()`
  Get the current step parameter
  `WorkFlowExecutionContext`
  `getExecutionContext()`
  Get workflow execution context (VITAM or COLLECT)
  `LogbookTypeProcess`
  `getLogbookTypeProcess()`
  Get the logbook Type Process
  `String`
  `getMetadataRequest()`
  Get the metadata request parameter
  `String`
  `getObjectId()`
  Get the object id parameter
  `com.fasterxml.jackson.databind.JsonNode`
  `getObjectMetadata()`
  Get the object metadata parameter
  `List<com.fasterxml.jackson.databind.JsonNode>`
  `getObjectMetadataList()`
  Get the object metadata parameter
  `String`
  `getObjectName()`
  Get the object name parameter
  `List<String>`
  `getObjectNameList()`
  Get the object name parameter
  `String`
  `getParameterValue(WorkerParameterName parameterName)`
  Get the parameter according to the parameterName
  `String`
  `getPreviousStep()`
  Get the previous step parameter
  `String`
  `getProcessId()`
  Get the process id parameter
  `String`
  `getRequestId()`
  `String`
  `getUrlMetadata()`
  Get the url of metadata resource parameter
  `String`
  `getUrlWorkspace()`
  Get the url of workspace resource parameter
  `String`
  `getWorkerGUID()`
  Get the worker GUID parameter
  `String`
  `getWorkflowIdentifier()`
  `String`
  `getWorkflowStatusKo()`
  `WorkerParameters`
  `putParameterValue(WorkerParameterName parameterName, String parameterValue)`
  Put parameterValue on mapParameters with parameterName key
  If parameterKey already exists, then override it (no check)
  `WorkerParameters`
  `setContainerName(String containerName)`
  Set the container name value
  `WorkerParameters`
  `setCurrentStep(String currentStep)`
  Set the current step value
  `WorkerParameters`
  `setExecutionContext(WorkFlowExecutionContext executionContext)`
  Set the workflow execution context (VITAM or COLLECT)
  `WorkerParameters`
  `setFromParameters(WorkerParameters parameters)`
  Set parameters from another WorkerParameters
  `WorkerParameters`
  `setLogbookTypeProcess(LogbookTypeProcess logbookTypeProcess)`
  Set the logbook Type Process
  `WorkerParameters`
  `setMap(Map<String,String> map)`
  Set from map using String as Key
  `WorkerParameters`
  `setMetadataRequest(String metadataRequest)`
  Set the request metadata request value
  `WorkerParameters`
  `setObjectId(String objectId)`
  Set the object id value
  `WorkerParameters`
  `setObjectMetadata(com.fasterxml.jackson.databind.JsonNode objectName)`
  Set the object metadata value
  `WorkerParameters`
  `setObjectMetadataList(List<com.fasterxml.jackson.databind.JsonNode> objectMetadataList)`
  Set the object metadata value
  `WorkerParameters`
  `setObjectName(String objectName)`
  Set the object name value
  `WorkerParameters`
  `setObjectNameList(List<String> objectNameList)`
  Set the object name value
  `WorkerParameters`
  `setPreviousStep(String previousStep)`
  Set the previous step value
  `WorkerParameters`
  `setProcessId(String processId)`
  Set the process id value
  `WorkerParameters`
  `setRequestId(String newRequestId)`
  setRequestId.
  `WorkerParameters`
  `setUrlMetadata(String urlMetadata)`
  Set the url of metadata resource value
  `WorkerParameters`
  `setUrlWorkspace(String urlWorkspace)`
  Set the url of workspace resource value
  `WorkerParameters`
  `setWorkerGUID(String workerGUID)`
  Set the worker GUID value
  `WorkerParameters`
  `setWorkflowIdentifier(String workflowIdentifier)`
  Set the logbook Type Process

  ### Methods inherited from interface fr.gouv.vitam.common.parameter.VitamParameter

  `getMandatoriesParameters, getMapParameters`

- ## Method Details

  - ### getExecutionContext

    WorkFlowExecutionContext getExecutionContext()
    Get workflow execution context (VITAM or COLLECT)
    Returns:
      the current workflow execution context

  - ### setExecutionContext

    WorkerParameters setExecutionContext(WorkFlowExecutionContext executionContext)
    Set the workflow execution context (VITAM or COLLECT)
    Parameters:
      `executionContext` - the workflow execution context

  - ### putParameterValue

    WorkerParameters putParameterValue(WorkerParameterName parameterName, String parameterValue)
    Put parameterValue on mapParameters with parameterName key
    If parameterKey already exists, then override it (no check)
    Parameters:
      `parameterName` - the key of the parameter to put on the parameter map
      `parameterValue` - the value to put on the parameter map
    Returns:
      actual instance of WorkerParameter (fluent like)
    Throws:
      `IllegalArgumentException` - if the parameterName is null or if parameterValue is null or empty

  - ### getParameterValue

    String getParameterValue(WorkerParameterName parameterName)
    Get the parameter according to the parameterName
    Parameters:
      `parameterName` - the wanted parameter
    Returns:
      the value or null if not found
    Throws:
      `IllegalArgumentException` - throws if parameterName is null

  - ### setMap

    WorkerParameters setMap(Map<String,String> map)
    Set from map using String as Key
    Parameters:
      `map` - the map parameters to set
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if parameter key is unknown or if the map is null

  - ### getCurrentStep

    String getCurrentStep()
    Get the current step parameter
    Returns:
      the current step value

  - ### setCurrentStep

    WorkerParameters setCurrentStep(String currentStep)
    Set the current step value
    Parameters:
      `currentStep` - the current step value
    Returns:
      the current instance of WorkerParameters

  - ### getPreviousStep

    String getPreviousStep()
    Get the previous step parameter
    Returns:
      the previous step value

  - ### setPreviousStep

    WorkerParameters setPreviousStep(String previousStep)
    Set the previous step value
    Parameters:
      `previousStep` - the current step value
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if the previousStep is null or empty

  - ### getContainerName

    String getContainerName()
    Get container name parameter
    Returns:
      the container name value

  - ### setContainerName

    WorkerParameters setContainerName(String containerName)
    Set the container name value
    Parameters:
      `containerName` - the container name value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalArgumentException` - if the containerName is null or empty

  - ### getObjectId

    String getObjectId()
    Get the object id parameter
    Returns:
      the object id value

  - ### setObjectId

    WorkerParameters setObjectId(String objectId)
    Set the object id value
    Parameters:
      `objectId` - the object id value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalArgumentException` - if the objectId is null or empty

  - ### getObjectName

    String getObjectName()
    Get the object name parameter
    Returns:
      the object name value

  - ### setObjectName

    WorkerParameters setObjectName(String objectName)
    Set the object name value
    Parameters:
      `objectName` - the object name value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalArgumentException` - if the objectName is null or empty

  - ### getObjectMetadata

    com.fasterxml.jackson.databind.JsonNode getObjectMetadata()
    Get the object metadata parameter
    Returns:
      the object metadata value

  - ### setObjectMetadata

    WorkerParameters setObjectMetadata(com.fasterxml.jackson.databind.JsonNode objectName)
    Set the object metadata value
    Parameters:
      `objectName` - the object metadata value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalArgumentException` - if the objectName is null or empty

  - ### getObjectNameList

    List<String> getObjectNameList()
    Get the object name parameter
    Returns:
      the object name value

  - ### setObjectNameList

    WorkerParameters setObjectNameList(List<String> objectNameList)
    Set the object name value
    Parameters:
      `objectNameList` - the object name value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalArgumentException` - if the objectName is null or empty

  - ### getObjectMetadataList

    List<com.fasterxml.jackson.databind.JsonNode> getObjectMetadataList()
    Get the object metadata parameter
    Returns:
      the object name value

  - ### setObjectMetadataList

    WorkerParameters setObjectMetadataList(List<com.fasterxml.jackson.databind.JsonNode> objectMetadataList)
    Set the object metadata value
    Parameters:
      `objectMetadataList` - the object metadataList value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalStateException` - if the metadataList is null or empty

  - ### getMetadataRequest

    String getMetadataRequest()
    Get the metadata request parameter
    Returns:
      the metadata request value

  - ### setMetadataRequest

    WorkerParameters setMetadataRequest(String metadataRequest)
    Set the request metadata request value
    Parameters:
      `metadataRequest` - the metadata request value
    Returns:
      the current instance of WorkerParameter
    Throws:
      `IllegalArgumentException` - if metadataRequest is null or empty

  - ### getWorkerGUID

    String getWorkerGUID()
    Get the worker GUID parameter
    Returns:
      the worker GUID value

  - ### setWorkerGUID

    WorkerParameters setWorkerGUID(String workerGUID)
    Set the worker GUID value
    Parameters:
      `workerGUID` - the worker GUID value
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if workerGUID is null or empty

  - ### getProcessId

    String getProcessId()
    Get the process id parameter
    Returns:
      the process id value

  - ### setProcessId

    WorkerParameters setProcessId(String processId)
    Set the process id value
    Parameters:
      `processId` - the process id value
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if processId is null or empty

  - ### getUrlMetadata

    String getUrlMetadata()
    Get the url of metadata resource parameter
    Returns:
      the url of metadata resource value

  - ### setUrlMetadata

    WorkerParameters setUrlMetadata(String urlMetadata)
    Set the url of metadata resource value
    Parameters:
      `urlMetadata` - the url of metadata resource value
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if urlMetadata is null or empty

  - ### getUrlWorkspace

    String getUrlWorkspace()
    Get the url of workspace resource parameter
    Returns:
      the url of workspace resource value

  - ### setUrlWorkspace

    WorkerParameters setUrlWorkspace(String urlWorkspace)
    Set the url of workspace resource value
    Parameters:
      `urlWorkspace` - the url of workspace resource value
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if urlWorspace is null or empty

  - ### getLogbookTypeProcess

    LogbookTypeProcess getLogbookTypeProcess()
    Get the logbook Type Process
    Returns:
      the logbook Type Process

  - ### setLogbookTypeProcess

    WorkerParameters setLogbookTypeProcess(LogbookTypeProcess logbookTypeProcess)
    Set the logbook Type Process
    Parameters:
      `logbookTypeProcess` - the logbook Type Process
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if urlWorspace is null or empty

  - ### getWorkflowIdentifier

    String getWorkflowIdentifier()
    Returns:
      workflowIdentifier

  - ### setWorkflowIdentifier

    WorkerParameters setWorkflowIdentifier(String workflowIdentifier)
    Set the logbook Type Process
    Parameters:
      `workflowIdentifier` -
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if urlWorspace is null or empty

  - ### setFromParameters

    WorkerParameters setFromParameters(WorkerParameters parameters)
    Set parameters from another WorkerParameters
    Parameters:
      `parameters` - the parameters to set
    Returns:
      the current instance of WorkerParameters
    Throws:
      `IllegalArgumentException` - if parameters is null

  - ### getRequestId

    String getRequestId()
    Returns:
      the current X-Request-Id

  - ### setRequestId

    WorkerParameters setRequestId(String newRequestId)
    setRequestId.
    Parameters:
      `newRequestId` -
    Returns:

  - ### getWorkflowStatusKo

    String getWorkflowStatusKo()
    Returns:
      workflowStatusKo